UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Participant dreddthejudge
Participant
7,746 Views
Registered: ‎12-10-2014

Updatemem Error in SDK

Jump to solution

Hello,

 

I have created a Low-end Linux Microblaze configuration. I also have BRAM parts in the block design. When I run the SDK and try to configure the device, I get the following errors:

 

(VC707, Vivado 2014.4)

 

 

 

 

 

WARNING: [Common 17-204] Your XILINX environment variable is undefined. You will not be able to run Synthesis and Implementation using ISE based strategies, or import ngc netlists. Please set up your XILINX environment to get full functionality.
source C:/Xilinx/SDK/2014.4/scripts/updatemem/main.tcl -notrace
Loading bitfile C:/sh_ubuntu/dma_try_one/dma_try_one.sdk/top_level_hw_platform_0/top_level.bit
ERROR: [Updatemem 57-50] Cannot find site RAMB36_X5Y84 in device model.
Loading data files...
ERROR: [Updatemem 57-50] Cannot find site RAMB36_X5Y86 in device model.
ERROR: [Updatemem 57-50] Cannot find site RAMB36_X5Y85 in device model.
ERROR: [Updatemem 57-50] Cannot find site RAMB36_X5Y87 in device model.
ERROR: [Updatemem 57-50] Cannot find site RAMB36_X5Y82 in device model.
Updating memory content...
Creating bitstream...
Writing bitstream C:/sh_ubuntu/dma_try_one/dma_try_one.sdk/top_level_hw_platform_0/download.bit...
update_mem: Time (s): cpu = 00:01:06 ; elapsed = 00:01:07 . Memory (MB): peak = 571.625 ; gain = 517.801
ERROR: [Common 17-39] 'update_mem' failed due to earlier errors.

 

 

As I have searched, it could be due to the trimming of BRAM parts during the implementation stage. It would be great if you could help me solve this problem.

 

Regards,

Max

0 Kudos
1 Solution

Accepted Solutions
Scholar stephenm
Scholar
14,497 Views
Registered: ‎05-06-2012

Re: Updatemem Error in SDK

Jump to solution
If you have Vivado project. Can you open the implemented design, and search (cntrl f) primitive type -> BRAM. This will list all the BRAM in your design. You can see the BRAM site. Does this match the ones in the MMI file?

Also, when you downloaded Vivado. Did you select the device you are targeting in the list of devices?
Have you a valid licence?
0 Kudos
2 Replies
Scholar stephenm
Scholar
14,498 Views
Registered: ‎05-06-2012

Re: Updatemem Error in SDK

Jump to solution
If you have Vivado project. Can you open the implemented design, and search (cntrl f) primitive type -> BRAM. This will list all the BRAM in your design. You can see the BRAM site. Does this match the ones in the MMI file?

Also, when you downloaded Vivado. Did you select the device you are targeting in the list of devices?
Have you a valid licence?
0 Kudos
Participant dreddthejudge
Participant
7,680 Views
Registered: ‎12-10-2014

Re: Updatemem Error in SDK

Jump to solution

While I was checking out the bmm file, I realized that some of the modules were not properly addressed. The problem is gone after proper configuration.

 

Thank you very much.

0 Kudos